
test_api:
  before_script:
    - docker-compose -f api/test.yml build
  script:
    - docker-compose -f api/test.yml run test
  after_script:
    - docker-compose -f api/test.yml run test rm -rf funkwhale_api/media/

  tags:
    - dind

build_front:
  image: node:6-alpine
  before_script:
    - cd front

  script:
    - npm install
    - npm run build
  cache:
    key: "$CI_COMMIT_REF_NAME"
    paths:
      - front/node_modules
  artifacts:
    name: "front_${CI_COMMIT_REF_NAME}"
    paths:
      - front/dist/
  only:
    - master
    - develop
  tags:
    - docker


pages:
  image: alpine
  before_script:
    - cd docs
  script:
    - apk --no-cache add py2-pip python-dev
    - pip install sphinx
    - apk --no-cache add make
    - make html
    - mv _build/html/ public/
  artifacts:
    paths:
      - public
  only:
    - master
  tags:
    - docker
